GET /Patient
Summary: Search patients
Operation ID: searchPatient
Auth: none
Operation ID: searchPatient
Auth: none
Description
Search for patients using various criteria
Parameters (5)
_count
(integer, query, optional, default: 20)
Number of results per page
_id
(string, query, optional)
Patient ID
birthdate
(string, query, optional)
Birth date (YYYY-MM-DD)
gender
(string, query, optional)
Gender (male, female, other, unknown)
Constraints: {'enum': ['male', 'female', 'other', 'unknown']}
name
(string, query, optional)
Patient name (partial matches supported)
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search patients by name | curl |
https://hapi.fhir.org/baseR4/Patient?name=smith |
|
| Search patients by birthdate range with sorting | curl |
https://hapi.fhir.org/baseR4/Patient?birthdate=gt1980-01-01&birthdate=lt1990-12-31&_sort=birthdate&_count=10 |
|
| Search patients by family name and gender | curl |
https://hapi.fhir.org/baseR4/Patient?family=johnson&gender=female |
|
| Search Patients | probe-gate |
https://hapi.fhir.org/baseR4/Patient |
|
| Search patients | probe-gate |
https://hapi.fhir.org/baseR4/Patient?_count=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:45:05.700897 | 200 | 500ms | |
| 2026-03-23 10:39:33.802442 | 200 | 2871ms | |
| 2026-03-23 10:15:51.281333 | 200 | 554ms | |
| 2026-03-23 09:39:47.187467 | 200 | 501ms | |
| 2026-03-23 09:03:17.568260 | 200 | 516ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:39:47.187467 | 077768fdeb94 |
10a4185f59f8 |
| 2026-03-23 10:15:51.281333 | 10a4185f59f8 |
e9bd7457c02c |
| 2026-03-23 10:39:33.802442 | e9bd7457c02c |
53c93d2ea1eb |
| 2026-03-23 10:45:05.700897 | 53c93d2ea1eb |
b832577bc2e9 |